#!/bin/sh

THIS_DIR=`dirname "$0"`
BASE_DIR="$THIS_DIR/.."

STORETYPE=${STORETYPE:-file}

if [ "$STORETYPE" = "file" ]; then
    STORE=/tmp/store
    JOURNAL=/tmp/journal
elif [ "$STORETYPE" = "postgresql" ]; then
    DBNAME='test'
    STORE="dbname=$DBNAME"
    JOURNAL="$STORE"
fi

STATIC=/tmp/static
PREFS=/tmp/prefs

ARGS="-T $STORETYPE -S $STORE -P $STATIC -p $PREFS -j $JOURNAL -d"

RESOURCE_SCRIPT="$BASE_DIR/imip_resource.py"

SHOWMAIL="$BASE_DIR/tools/showmail.py"

TEMPLATES="$THIS_DIR/templates"

ERROR=err.tmp
